#! /usr/bin/env python

#######################################
# A simple script illustrating the use of 
# variables.
# Author: <YOUR NAME>
# Emai: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.1
#
# Added helper function for 2/3 compatibility
#######################################

# Compatibility function for 2/3
import sys
def getInput(question):
    """ Python 2/3 helper function
        for getting input.
    """
    if sys.version[0] == '3':
        answer = input(question)
    else:
        answer = raw_input(question)
    return(answer)

score = 0 # A variable to store the ongoing score

# print is used to 'print' the text to the command line
print('#################################################')
print('Sample Python program which asks the user a few ' \
      'simple questions.')
print('################################################')

# input is used to retrieve user input from the 
# command line
name = getInput('What is your name?\n')

print('Hello ' + name + '. You will now be asked a series' \
' of questions please answer \'y\' for YES and \'n\' for ' \
'NO unless otherwise stated.')

print('Question 1:')
answer = getInput('ALOS PALSAR is a L band spaceborne SAR.\n')
if answer == 'y': # test whether the value returned was equal to y
    print('Well done')
    score = score + 1 # Add 1 to the score
else: # if not then the anser must be incorrect
    print('Bad Luck')
    score = score - 1 # Remove 1 from the score

print('Question 2:')
answer = getInput('CASI provides hyperspectral data in ' \
'the Blue to NIR part of the spectrum.\n')
if answer == 'y':
    print('Well done')
    score = score + 1
else:
    print('Bad Luck')
    score = score - 1

print('Question 3:')
answer = getInput('HyMap also only provides data in the ' \
'Blue to NIR part of the spectrum.\n')
if answer == 'y':
    print('Bad Luck')
    score = score - 1
else:
    print('Well done')
    score = score + 1

print('Question 4:')
answer = getInput('Landsat is a spaceborne sensor.\n')
if answer == 'y':
    print('Well done')
    score = score + 1
else:
    print('Bad Luck')
    score = score - 1

print('Question 5:')
answer = getInput('ADS-40 is a high resolution aerial ' \
'sensor capturing RGB-NIR wavelengths.\n')
if answer == 'y':
    print('Well done')
    score = score + 1
else:
    print('Bad Luck')
    score = score - 1

print('Question 6:')
answer = getInput('eCognition is an object oriented ' \
'image analysis software package.\n')
if answer == 'y':
    print('Well done')
    score = score + 1
else:
    print('Bad Luck')
    score = score - 1

print('Question 7:')
answer = getInput('Adobe Photoshop provides the same ' \
'functionality as eCognition.\n')
if answer == 'y':
    print('Bad Luck')
    score = score - 1
else:
    print('Well done')
    score = score + 1

print('Question 8:')
answer = getInput('Python can be executed within ' \
'the a java virtual machine.\n')
if answer == 'y':
    print('Well done')
    score = score + 1
else:
    print('Bad Luck')
    score = score - 1

print('Question 9:')
answer = getInput('Python is a scripting language ' \
'not a programming language.\n')
if answer == 'y':
    print('Well done')
    score = score + 1
else:
    print('Bad Luck')
    score = score - 1

print('Question 10:')
answer = getInput('Aberystwyth is within Mid Wales.\n')
if answer == 'y':
    print('Well done')
    score = score + 1
else:
    print('Bad Luck')
    score = score - 1

# Finally print out the users final score.
print(name + ' you got a score of ' + str(score))
