#! /usr/bin/env python

#######################################
# A simple python script to display a 
# scatter plot.
# Author: <YOUR NAME>
# Email: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.0
#######################################

from matplotlib import pylab as plt
# Import a random number generator
from random import random

x = []
y = []
z = []

# Create data values for X, Y, Z axis'
for i in range(5000):
    x.append(random() * 100)
    y.append(random() * 100)
    z.append(x[i]-y[i])

# Create figure
plt.figure()
# Create scatter plot where the plots are coloured using the
# Z values.
plt.scatter(x, y, c=z, marker='o', cmap=cm.jet, vmin=-100, vmax=100)
# Display colour bar
colorbar()
# Make axis' tight to the data
plt.axis('tight')
plt.xlabel('X Axis')
plt.ylabel('Y Axis')
plt.title('Simple Scatter Plot')
# save plot to disk.
plt.savefig('simplescatter.pdf', dpi=200, format='PDF')
