#! /usr/bin/env python

#######################################
# An python class to parse a comma 
# separates text file to calculate 
# the mean and standard deviation 
# of the inputted floating point
# numbers.
# Author: <YOUR NAME>
# Email: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.0
#######################################

# To import the class you have created
# you need to define the file within 
# which the class is held. In this 
# case MyMaths.py and the name of the
# class to be imported (i.e., MyMathsClass)
from MyMaths import MyMathsClass

class FileSummary (object):

    def parseCommaFile(self, file):
        floatingNumbers = list()
        for eachLine in file:
            substrs = eachLine.split(',',eachLine.count(','))
            for strVar in substrs:
                floatingNumbers.append(float(strVar))
        return floatingNumbers

    def run(self, filename):
        inFile = open(filename, 'r')
        numbers = self.parseCommaFile(inFile)
        
        mathsObj = MyMathsClass()
        mean = mathsObj.calcMean(numbers)
        stddev = mathsObj.calcStdDev(numbers, mean)
        
        print('Mean: ' + str(mean))
        print('Stddev: ' + str(stddev))
        
         
if __name__ == '__main__':
    obj = FileSummary()
    obj.run('randfloats.txt')
        