#! /usr/bin/env python

#######################################
# A simple python script to display a 
# sine function
# Author: <YOUR NAME>
# Email: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.0
#######################################

# import the matplotlib libraries
from matplotlib import pylab as plt

# Create a list with values from 
# 0 to 3 with 0.01 intervals
t = arange(0.0, 3, 0.01)
# Calculate the sin curve for
# the values within t
s = sin(pi*t)

# Plot the values in s and t
plt.plot(t, s)
plt.xlabel('X Axis')
plt.ylabel('Y Axis')
plt.title('Simple Plot')
# save plot to disk.
plt.savefig('simpleplot.pdf', dpi=200, format='PDF')
